/*
**
** File: ut_cfe_psp_memutils_stubs.c
**
** $Id: ut_cfe_psp_memutils_stubs.c 1.1 2011/02/15 11:13:02EST sslegel Exp  $
**
** Purpose: Unit test stubs for cFE PSP Memory Utilities routines
**
** $Log: ut_cfe_psp_memutils_stubs.c  $
** Revision 1.1 2011/02/15 11:13:02EST sslegel 
** Initial revision
** Member added to project c:/MKSDATA/MKS-REPOSITORY/FSW-TOOLS-REPOSITORY/ut-assert/src/project.pj
**
*/

/*
**  Include Files
*/
#include "cfe.h"
#include <string.h>

int32 CFE_PSP_MemCpy(void *Dest, void *Src, uint32 Size)
{
    memcpy(Dest, Src, Size);
    return(CFE_PSP_SUCCESS);
}

int32 CFE_PSP_MemSet(void *Dest, uint8 Value, uint32 Size)
{
    memset(Dest, Value, Size);
    return(CFE_PSP_SUCCESS);
}
